Subject: Re: [Int-area] Architectural reasons why tunnelling is an indication of a failure

From: Brian E Carpenter <[email-masked]>
Date: Mon, 08 Aug 2005 16:44:09 +0200

James Kempf wrote:
> Pekka,
> 
> I agree with Joe and Tony. Tunnels are a tool for virtualizing the address
> space. If you are going to propose that they are a flawed tool, then I think
> you need to propose an alternative that has "better" (for some sense of the
> word)  properties. The only alternative I can think of (swapping IP
> addresses in the header, i.e. NAT) is worse,  but maybe there are other
> alternatives.

There is at least one, i.e. the approach taken by shim6, which explicitly
virtualizes the address ("identifier") seen by upper layers, and
uses a variety of addresses ("locators") at a slightly less virtual
level known as Layer 3, which by the way was invented to virtualize
Layer 2 addresses about 30 years ago.

If we are thinking forward, I would like to repeat a remark I've made
a number of times, in all seriousness: the flaw in the OSI model is
that it has a finite number of layers instead of being recursive.
It seems that we need to make "Layer 3" recursive to have a clean
virtualization approach. Tunnels slot naturally enough into a recursive
view of the nextwork layer.

    Brian

_______________________________________________
Int-area mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/int-area